cups-config(1)

NOME
cups-config - obtém informação da api do cups, compilador, directório, e link (descontinuado).

RESUMO
cups-config --api-version
cups-config --build
cups-config --cflags
cups-config --datadir
cups-config --help
cups-config --ldflags
cups-config [ --image ] [ --static ] --libs
cups-config --serverbin
cups-config --serverroot
cups-config --version

DESCRIÇÃO
O comando cups-config permite a desenvolvedores de aplicações determinarem as opções de linha de comandos necessárias para o compilador e vinculador, assim como os directórios de instalação para os filtros, ficheiros de configuração, e drivers. Todos os valores são reportados para a saída standard. Nota: Este comando está descontinuado e será removido numa versão futura do CUPS. Em vez deste deve ser usado o comando pkg-config(1).

OPÇÕES
O comando cups-config aceita as seguintes opções de linha de comandos:

--api-version
    Reporta a versão API actual (maior.menor).

--build
    Reporta um número de compilação específico do sistema.

--cflags
    Reporta as opções de compilação necessárias.

--datadir
    Reporta o directório de dados do CUPS predefinido.

--help
    Reporta a a mensagem de utilização do programa.

--ldflags
    Reporta as opções do vinculador (linker) necessárias.

--libs
    Reporta as bibliotecas necessárias para se vincular.

--serverbin
    Reporta o directório binário do CUPS predefinido, onde estão guardados os filtros e backends.

--serverroot
    Reporta o directório de ficheiro de configuração do CUPS predefinido.

--static
    Quando usado com --libs, reporta bibliotecas estáticas em vez das bibliotecas (partilhadas) predefinidas.

--version
    Reporta o número de versão completo da instalação do CUPS (maior.menor.patch).

EXEMPLOS
Mostra a versão do CUPS actualmente instalada.
    cups-config --version
Compila um filtro CUPS simples de um-ficheiro:
    cc `cups-config --cflags --ldflags` -o filter filter.c \
        `cups-config --libs`

OPÇÕES DESCONTINUADAS
As seguintes opções estão descontinuadas mas continuam a funcionar para compatibilidade com software anterior:

--image
    Antes usada para adicionar a biblioteca de imagens do CUPS à lista de bibliotecas.

VEJA TAMBÉM
cups(1), pkg-config(1), Ajuda Online do CUPS (http://localhost:631/help)

COPYRIGHT
Copyright © 2021-2022 de OpenPrinting.